fn main() {
    let x = Some(5);
    let y = 10;

    match x {
        Some(50) => println!("Otrzymano 50"),
        Some(n) if n == y => println!("Dopasowano, n = {n}"),
        _ => println!("Przypadek domyślny, x = {:?}", x),
    }

    println!("na końcu: x = {:?}, y = {y}", x);
}
